using Managing.Domain.Strategies;
using Managing.Domain.Users;

namespace Managing.Domain.Scenarios
{
    public class Scenario
    {
        public Scenario(string name, int? loopbackPeriod = 1)
        {
            Name = name;
            Strategies = new List<Strategy>();
            LoopbackPeriod = loopbackPeriod;
        }

        public string Name { get; set; }
        public List<Strategy> Strategies { get; set; }
        public int? LoopbackPeriod { get; set; }
        public User User { get; set; }

        public void AddStrategy(Strategy strategy)
        {
            Strategies.Add(strategy);
        }
    }
}